from django.conf import settings
from django.conf.urls.i18n import i18n_patterns
from django.urls import path, include
from django.contrib import admin
from .views import redirect_to_spanish  # Importamos la vista de redirección
from django.conf.urls.static import static

urlpatterns = [
    path('', redirect_to_spanish),  # Redirige la raíz a `/es/`
    path('i18n/', include('django.conf.urls.i18n')),  # URL para cambiar el idioma
]

urlpatterns += i18n_patterns(
    path('admin/', admin.site.urls),
    path('', include('home.urls')),  # Incluye las URLs de la app `home`
    path('wotlk/', include('wotlk_db.urls')),
    path('ckeditor5/', include('django_ckeditor_5.urls')),
)

# Esto debe estar al final para que Django sirva archivos estáticos durante el desarrollo
if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
